package org.jeecg.modules.bytedance.advertise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.advertise.entity.ByteDanceVideoInfo;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface IByteDanceVideoInfoService extends IService<ByteDanceVideoInfo> {

    void replaceBatch(List<ByteDanceVideoInfo> videoInfoList);

    ByteDanceVideoInfo getOneByParams(Long materialId);

    void updateMaterialType();

    List<ByteDanceVideoInfo> listByParams(Long accountId, String startTime, String endTime, Long videoCnt,long creativeCnt);

    List<ByteDanceVideoInfo> topMatByParams(Long projectId, Long accountId, String startTime, String endTime, Long videoCnt);
}
